View a markdown version of this page

UpdateLinkRoutingRule - AWS RTB Fabric

UpdateLinkRoutingRule

Updates a routing rule for a link.

Request Syntax

PUT /responder-gateway/gatewayId/link/linkId/routing-rule/ruleId HTTP/1.1 Content-type: application/json { "conditions": { "hostHeader": "string", "hostHeaderWildcard": "string", "pathExact": "string", "pathPrefix": "string", "queryStringEquals": { "key": "string", "value": "string" }, "queryStringExists": "string" }, "priority": number }

URI Request Parameters

The request uses the following URI parameters.

gatewayId

The unique identifier of the gateway.

Length Constraints: Minimum length of 8. Maximum length of 32.

Pattern: rtb-gw-[a-z0-9-]{1,25}

Required: Yes

linkId

The unique identifier of the link.

Length Constraints: Minimum length of 6. Maximum length of 30.

Pattern: link-[a-z0-9-]{1,25}

Required: Yes

ruleId

The unique identifier of the routing rule.

Length Constraints: Minimum length of 6. Maximum length of 30.

Pattern: rule-[a-z0-9-]{1,25}

Required: Yes

Request Body

The request accepts the following data in JSON format.

conditions

The updated conditions for the routing rule. All specified fields must match for the rule to apply. At least one condition field must be set.

Type: RuleCondition object

Required: Yes

priority

The updated priority of the routing rule. Lower numbers are evaluated first. Valid values are 1 to 1000. Priority must be unique among non-deleted rules within a link.

Type: Integer

Valid Range: Minimum value of 1. Maximum value of 1000.

Required: Yes

Response Syntax

HTTP/1.1 200 Content-type: application/json { "ruleId": "string", "status": "string", "updatedAt": number }

Response Elements

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

ruleId

The unique identifier of the routing rule.

Type: String

Length Constraints: Minimum length of 6. Maximum length of 30.

Pattern: rule-[a-z0-9-]{1,25}

status

The status of the routing rule.

Type: String

Valid Values: CREATION_IN_PROGRESS | ACTIVE | UPDATE_IN_PROGRESS | DELETION_IN_PROGRESS | DELETED | FAILED

updatedAt

The timestamp of when the routing rule was last updated.

Type: Timestamp

Errors

For information about the errors that are common to all actions, see Common Error Types.

AccessDeniedException

The request could not be completed because you do not have sufficient access to perform this action.

HTTP Status Code: 403

ConflictException

The request could not be completed because of a conflict in the current state of the resource.

HTTP Status Code: 409

InternalServerException

The request could not be completed because of an internal server error. Try your call again.

HTTP Status Code: 500

ResourceNotFoundException

The request could not be completed because the resource does not exist.

HTTP Status Code: 404

ThrottlingException

The request was denied due to request throttling.

HTTP Status Code: 429

ValidationException

The request could not be completed because it fails satisfy the constraints specified by the service.

HTTP Status Code: 400

See Also

For more information about using this API in one of the language-specific AWS SDKs, see the following: